Knox Docs Sign in

API reference

Test mode. Use your secret key on your server; live processing is currently disabled.

https://api.knoxapi.com

Send form-encoded requests with Authorization: Bearer sk_test_....

Complete OpenAPI specification · Integration guide

Operations and schemas are based on the pinned Stripe OpenAPI specification (MIT). Nested object definitions and enums are available in the complete specification.

POST /v1/external_accounts/{id}

Update a bank account

Updates the metadata, account holder name, account holder type of a bank account belonging to a connected account and optionally sets it as the default for its currency. Other bank account details are not editable by design. You can only update bank accounts when account.controller.requirement_collection is application, which includes Custom accounts. You can re-enable a disabled bank account by performing an update call without providing any arguments or changes.

Request parameters

ParameterLocationTypeDescription
idpathstring
FieldTypeDescription
account_holder_namestringThe name of the person or business that owns the bank account.
account_holder_typestringThe type of entity that holds the account. This can be either `individual` or `company`.
account_typestringThe bank account type. This can only be `checking` or `savings` in most countries. In Japan, this can only be `futsu` or `toza`.
address_citystringCity/District/Suburb/Town/Village.
address_countrystringBilling address country, if provided when creating card.
address_line1stringAddress line 1 (Street address/PO Box/Company name).
address_line2stringAddress line 2 (Apartment/Suite/Unit/Building).
address_statestringState/County/Province/Region.
address_zipstringZIP or postal code.
default_for_currencybooleanWhen set to true, this becomes the default external account for its currency.
documentsobjectDocuments that may be submitted to satisfy various informational requests.
exp_monthstringTwo digit number representing the card’s expiration month.
exp_yearstringFour digit number representing the card’s expiration year.
expandarray of stringSpecifies which fields in the response should be expanded.
metadataone of multiple schemasSet of [key-value pairs](https://docs.stripe.com/api/metadata) that you can attach to an object. This can be useful for storing additional information about the object in a structured format. Individual keys can be unset by posting an empty value to them. All keys can be unset by posting an empty value to `metadata`.
namestringCardholder name.

Responses

HTTP 200: Successful response.

one of multiple schemas. See the OpenAPI specification for the complete schema.

HTTP default: Error response.
FieldTypeDescription
error requiredapi_errors